Dashboards 9 endpoints

GET /api/projects/{project_id}/dashboards/{dashboard_id}/collaborators
operationId: Dashboards_listCollaborators

Parameters

Name In Required Type Description
dashboard_id path required integer
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/dashboards/{dashboard_id}/collaborators
POST /api/projects/{project_id}/dashboards/{dashboard_id}/collaborators
operationId: Dashboards_addCollaborator

Parameters

Name In Required Type Description
dashboard_id path required integer
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema DashboardCollaborator
Property Type Required
id string required
user object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
level integer required
added_at string required
user_uuid string required
updated_at string required
dashboard_id integer required
multipart/form-data
schema DashboardCollaborator
Property Type Required
id string required
user object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
level integer required
added_at string required
user_uuid string required
updated_at string required
dashboard_id integer required
application/x-www-form-urlencoded
schema DashboardCollaborator
Property Type Required
id string required
user object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
level integer required
added_at string required
user_uuid string required
updated_at string required
dashboard_id integer required

Responses

201
POST /api/projects/{project_id}/dashboards/{dashboard_id}/collaborators
DELETE /api/projects/{project_id}/dashboards/{dashboard_id}/collaborators/{user__uuid}
operationId: Dashboards_deleteCollaboratorByUuid

Parameters

Name In Required Type Description
dashboard_id path required integer
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

user__uuid path required string

Responses

204

No response body

DELETE /api/projects/{project_id}/dashboards/{dashboard_id}/collaborators/{user__uuid}
GET /api/projects/{project_id}/dashboards/{dashboard_id}/sharing
operationId: Dashboards_sharingList

Parameters

Name In Required Type Description
dashboard_id path required integer
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/dashboards/{dashboard_id}/sharing
DELETE /api/projects/{project_id}/dashboards/{id}

Hard delete of this model is not allowed. Use a patch API call to set “deleted” to true

operationId: dashboards_destroy

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this dashboard.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

default

No response body

DELETE /api/projects/{project_id}/dashboards/{id}
GET /api/projects/{project_id}/dashboards/{id}
operationId: dashboards_retrieve

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this dashboard.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/dashboards/{id}
PATCH /api/projects/{project_id}/dashboards/{id}
operationId: Dashboards_updateById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this dashboard.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedDashboard
Property Type Required
id integer optional
name string optional
tags array optional
tiles array optional
pinned boolean optional
deleted boolean optional
filters object optional
is_shared boolean optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
description string optional
use_template string optional
creation_mode string optional
use_dashboard integer optional
delete_insights boolean optional
restriction_level integer optional
effective_privilege_level integer optional
effective_restriction_level integer optional
multipart/form-data
schema PatchedDashboard
Property Type Required
id integer optional
name string optional
tags array optional
tiles array optional
pinned boolean optional
deleted boolean optional
filters object optional
is_shared boolean optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
description string optional
use_template string optional
creation_mode string optional
use_dashboard integer optional
delete_insights boolean optional
restriction_level integer optional
effective_privilege_level integer optional
effective_restriction_level integer optional
application/x-www-form-urlencoded
schema PatchedDashboard
Property Type Required
id integer optional
name string optional
tags array optional
tiles array optional
pinned boolean optional
deleted boolean optional
filters object optional
is_shared boolean optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
description string optional
use_template string optional
creation_mode string optional
use_dashboard integer optional
delete_insights boolean optional
restriction_level integer optional
effective_privilege_level integer optional
effective_restriction_level integer optional

Responses

200
PATCH /api/projects/{project_id}/dashboards/{id}
PUT /api/projects/{project_id}/dashboards/{id}
operationId: dashboards_update

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this dashboard.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Dashboard
Property Type Required
id integer required
name string optional
tags array optional
tiles array required
pinned boolean optional
deleted boolean optional
filters object optional
is_shared boolean required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
description string optional
use_template string optional
creation_mode string required
use_dashboard integer optional
delete_insights boolean optional
restriction_level integer optional
effective_privilege_level integer required
effective_restriction_level integer required
multipart/form-data
schema Dashboard
Property Type Required
id integer required
name string optional
tags array optional
tiles array required
pinned boolean optional
deleted boolean optional
filters object optional
is_shared boolean required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
description string optional
use_template string optional
creation_mode string required
use_dashboard integer optional
delete_insights boolean optional
restriction_level integer optional
effective_privilege_level integer required
effective_restriction_level integer required
application/x-www-form-urlencoded
schema Dashboard
Property Type Required
id integer required
name string optional
tags array optional
tiles array required
pinned boolean optional
deleted boolean optional
filters object optional
is_shared boolean required
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
description string optional
use_template string optional
creation_mode string required
use_dashboard integer optional
delete_insights boolean optional
restriction_level integer optional
effective_privilege_level integer required
effective_restriction_level integer required

Responses

200
PUT /api/projects/{project_id}/dashboards/{id}
PATCH /api/projects/{project_id}/dashboards/{id}/move_tile
operationId: Dashboards_moveTilePatch

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this dashboard.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedDashboard
Property Type Required
id integer optional
name string optional
tags array optional
tiles array optional
pinned boolean optional
deleted boolean optional
filters object optional
is_shared boolean optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
description string optional
use_template string optional
creation_mode string optional
use_dashboard integer optional
delete_insights boolean optional
restriction_level integer optional
effective_privilege_level integer optional
effective_restriction_level integer optional
multipart/form-data
schema PatchedDashboard
Property Type Required
id integer optional
name string optional
tags array optional
tiles array optional
pinned boolean optional
deleted boolean optional
filters object optional
is_shared boolean optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
description string optional
use_template string optional
creation_mode string optional
use_dashboard integer optional
delete_insights boolean optional
restriction_level integer optional
effective_privilege_level integer optional
effective_restriction_level integer optional
application/x-www-form-urlencoded
schema PatchedDashboard
Property Type Required
id integer optional
name string optional
tags array optional
tiles array optional
pinned boolean optional
deleted boolean optional
filters object optional
is_shared boolean optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
description string optional
use_template string optional
creation_mode string optional
use_dashboard integer optional
delete_insights boolean optional
restriction_level integer optional
effective_privilege_level integer optional
effective_restriction_level integer optional

Responses

200
PATCH /api/projects/{project_id}/dashboards/{id}/move_tile

Earlyaccessfeature 6 endpoints

GET /api/projects/{project_id}/early_access_feature
operationId: Earlyaccessfeature_getEarlyAccessFeature

Parameters

Name In Required Type Description
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/early_access_feature
POST /api/projects/{project_id}/early_access_feature
operationId: Earlyaccessfeature_createOrUpdate

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema EarlyAccessFeatureSerializerCreateOnly
Property Type Required
id string required
name string required
stage string required
created_at string required
description string optional
feature_flag object required
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
feature_flag_id integer optional
documentation_url string optional
multipart/form-data
schema EarlyAccessFeatureSerializerCreateOnly
Property Type Required
id string required
name string required
stage string required
created_at string required
description string optional
feature_flag object required
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
feature_flag_id integer optional
documentation_url string optional
application/x-www-form-urlencoded
schema EarlyAccessFeatureSerializerCreateOnly
Property Type Required
id string required
name string required
stage string required
created_at string required
description string optional
feature_flag object required
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
feature_flag_id integer optional
documentation_url string optional

Responses

201
POST /api/projects/{project_id}/early_access_feature
DELETE /api/projects/{project_id}/early_access_feature/{id}
operationId: Earlyaccessfeature_deleteById

Parameters

Name In Required Type Description
id path required string

A UUID string identifying this early access feature.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

204

No response body

DELETE /api/projects/{project_id}/early_access_feature/{id}
GET /api/projects/{project_id}/early_access_feature/{id}
operationId: Earlyaccessfeature_getData

Parameters

Name In Required Type Description
id path required string

A UUID string identifying this early access feature.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/early_access_feature/{id}
PATCH /api/projects/{project_id}/early_access_feature/{id}
operationId: Earlyaccessfeature_updateContent

Parameters

Name In Required Type Description
id path required string

A UUID string identifying this early access feature.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedEarlyAccessFeature
Property Type Required
id string optional
name string optional
stage string optional
created_at string optional
description string optional
feature_flag object optional
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
documentation_url string optional
multipart/form-data
schema PatchedEarlyAccessFeature
Property Type Required
id string optional
name string optional
stage string optional
created_at string optional
description string optional
feature_flag object optional
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
documentation_url string optional
application/x-www-form-urlencoded
schema PatchedEarlyAccessFeature
Property Type Required
id string optional
name string optional
stage string optional
created_at string optional
description string optional
feature_flag object optional
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
documentation_url string optional

Responses

200
PATCH /api/projects/{project_id}/early_access_feature/{id}
PUT /api/projects/{project_id}/early_access_feature/{id}
operationId: Earlyaccessfeature_updateContent

Parameters

Name In Required Type Description
id path required string

A UUID string identifying this early access feature.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema EarlyAccessFeature
Property Type Required
id string required
name string required
stage string required
created_at string required
description string optional
feature_flag object required
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
documentation_url string optional
multipart/form-data
schema EarlyAccessFeature
Property Type Required
id string required
name string required
stage string required
created_at string required
description string optional
feature_flag object required
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
documentation_url string optional
application/x-www-form-urlencoded
schema EarlyAccessFeature
Property Type Required
id string required
name string required
stage string required
created_at string required
description string optional
feature_flag object required
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
documentation_url string optional

Responses

200
PUT /api/projects/{project_id}/early_access_feature/{id}

Eventdefinitions 5 endpoints

GET /api/projects/{project_id}/event_definitions
operationId: Eventdefinitions_list

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200

No response body

GET /api/projects/{project_id}/event_definitions
DELETE /api/projects/{project_id}/event_definitions/{id}
operationId: Eventdefinitions_deleteById

Parameters

Name In Required Type Description
id path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

204

No response body

DELETE /api/projects/{project_id}/event_definitions/{id}
GET /api/projects/{project_id}/event_definitions/{id}
operationId: Eventdefinitions_getById

Parameters

Name In Required Type Description
id path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200

No response body

GET /api/projects/{project_id}/event_definitions/{id}
PATCH /api/projects/{project_id}/event_definitions/{id}
operationId: Eventdefinitions_updateByIdPatch

Parameters

Name In Required Type Description
id path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200

No response body

PATCH /api/projects/{project_id}/event_definitions/{id}
PUT /api/projects/{project_id}/event_definitions/{id}
operationId: Eventdefinitions_updateById

Parameters

Name In Required Type Description
id path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200

No response body

PUT /api/projects/{project_id}/event_definitions/{id}

Events 3 endpoints

GET /api/projects/{project_id}/events
    This endpoint allows you to list and filter events.
    It is effectively deprecated and is kept only for backwards compatibility.
    If you ever ask about it you will be advised to not use it...
    If you want to ad-hoc list or aggregate events, use the Query endpoint instead.
    If you want to export all events or many pages of events you should use our CDP/Batch Exports products instead.
operationId: events_list

Parameters

Name In Required Type Description
after query optional string

Only return events with a timestamp after this time.

before query optional string

Only return events with a timestamp before this time.

distinct_id query optional integer

Filter list by distinct id.

event query optional string

Filter list by event. For example user sign up or $pageview.

format query optional string
limit query optional integer

The maximum number of results to return

offset query optional integer

The initial index from which to return the results.

person_id query optional integer

Filter list by person id.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

properties query optional array

Filter events by event property, person property, cohort, groups and more.

select query optional array

(Experimental) JSON-serialized array of HogQL expressions to return

where query optional array

(Experimental) JSON-serialized array of HogQL expressions that must pass

Responses

200
GET /api/projects/{project_id}/events
GET /api/projects/{project_id}/events/values
operationId: Events_getValues

Parameters

Name In Required Type Description
format query optional string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/events/values
GET /api/projects/{project_id}/events/{id}
operationId: events_retrieve

Parameters

Name In Required Type Description
format query optional string
id path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/events/{id}

Experiments 9 endpoints

GET /api/projects/{project_id}/experiments
operationId: experiments_list

Parameters

Name In Required Type Description
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/experiments
POST /api/projects/{project_id}/experiments
operationId: experiments_create

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema Experiment
Property Type Required
id integer required
name string required
filters object optional
archived boolean optional
end_date string optional
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
parameters object optional
start_date string optional
updated_at string required
description string optional
feature_flag object required
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
feature_flag_key string required
secondary_metrics object optional
multipart/form-data
schema Experiment
Property Type Required
id integer required
name string required
filters object optional
archived boolean optional
end_date string optional
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
parameters object optional
start_date string optional
updated_at string required
description string optional
feature_flag object required
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
feature_flag_key string required
secondary_metrics object optional
application/x-www-form-urlencoded
schema Experiment
Property Type Required
id integer required
name string required
filters object optional
archived boolean optional
end_date string optional
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
parameters object optional
start_date string optional
updated_at string required
description string optional
feature_flag object required
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
feature_flag_key string required
secondary_metrics object optional

Responses

201
POST /api/projects/{project_id}/experiments
GET /api/projects/{project_id}/experiments/requires_flag_implementation
operationId: Experiments_getRequiresFlagImplementation

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/experiments/requires_flag_implementation
DELETE /api/projects/{project_id}/experiments/{id}
operationId: experiments_destroy

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this experiment.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

204

No response body

DELETE /api/projects/{project_id}/experiments/{id}
GET /api/projects/{project_id}/experiments/{id}
operationId: experiments_retrieve

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this experiment.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/experiments/{id}
PATCH /api/projects/{project_id}/experiments/{id}
operationId: Experiments_updateExperimentById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this experiment.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedExperiment
Property Type Required
id integer optional
name string optional
filters object optional
archived boolean optional
end_date string optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
parameters object optional
start_date string optional
updated_at string optional
description string optional
feature_flag object optional
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
feature_flag_key string optional
secondary_metrics object optional
multipart/form-data
schema PatchedExperiment
Property Type Required
id integer optional
name string optional
filters object optional
archived boolean optional
end_date string optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
parameters object optional
start_date string optional
updated_at string optional
description string optional
feature_flag object optional
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
feature_flag_key string optional
secondary_metrics object optional
application/x-www-form-urlencoded
schema PatchedExperiment
Property Type Required
id integer optional
name string optional
filters object optional
archived boolean optional
end_date string optional
created_at string optional
created_by object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
parameters object optional
start_date string optional
updated_at string optional
description string optional
feature_flag object optional
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
feature_flag_key string optional
secondary_metrics object optional

Responses

200
PATCH /api/projects/{project_id}/experiments/{id}
PUT /api/projects/{project_id}/experiments/{id}
operationId: experiments_update

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this experiment.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema Experiment
Property Type Required
id integer required
name string required
filters object optional
archived boolean optional
end_date string optional
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
parameters object optional
start_date string optional
updated_at string required
description string optional
feature_flag object required
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
feature_flag_key string required
secondary_metrics object optional
multipart/form-data
schema Experiment
Property Type Required
id integer required
name string required
filters object optional
archived boolean optional
end_date string optional
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
parameters object optional
start_date string optional
updated_at string required
description string optional
feature_flag object required
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
feature_flag_key string required
secondary_metrics object optional
application/x-www-form-urlencoded
schema Experiment
Property Type Required
id integer required
name string required
filters object optional
archived boolean optional
end_date string optional
created_at string required
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
parameters object optional
start_date string optional
updated_at string required
description string optional
feature_flag object required
id integer required
key string required
name string optional
active boolean optional
deleted boolean optional
filters object optional
team_id integer required
ensure_experience_continuity boolean optional
feature_flag_key string required
secondary_metrics object optional

Responses

200
PUT /api/projects/{project_id}/experiments/{id}
GET /api/projects/{project_id}/experiments/{id}/results
operationId: Experiments_getResults

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this experiment.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/experiments/{id}/results
GET /api/projects/{project_id}/experiments/{id}/secondary_results
operationId: Experiments_getSecondaryResults

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this experiment.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/experiments/{id}/secondary_results

Explicitmembers 6 endpoints

GET /api/projects/{project_id}/explicit_members
operationId: Explicitmembers_getMembers

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/explicit_members
POST /api/projects/{project_id}/explicit_members
operationId: Explicitmembers_createOrUpdateMembers

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema ExplicitTeamMember
Property Type Required
id string required
user object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
level integer optional
joined_at string required
user_uuid string required
updated_at string required
parent_level integer required
effective_level integer required
parent_membership_id string required
multipart/form-data
schema ExplicitTeamMember
Property Type Required
id string required
user object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
level integer optional
joined_at string required
user_uuid string required
updated_at string required
parent_level integer required
effective_level integer required
parent_membership_id string required
application/x-www-form-urlencoded
schema ExplicitTeamMember
Property Type Required
id string required
user object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
level integer optional
joined_at string required
user_uuid string required
updated_at string required
parent_level integer required
effective_level integer required
parent_membership_id string required

Responses

201
POST /api/projects/{project_id}/explicit_members
DELETE /api/projects/{project_id}/explicit_members/{parent_membership__user__uuid}
operationId: Explicitmembers_deleteExplicitMembers

Parameters

Name In Required Type Description
parent_membership__user__uuid path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

204

No response body

DELETE /api/projects/{project_id}/explicit_members/{parent_membership__user__uuid}
GET /api/projects/{project_id}/explicit_members/{parent_membership__user__uuid}
operationId: Explicitmembers_getMembersByParentMembershipUserUuid

Parameters

Name In Required Type Description
parent_membership__user__uuid path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/explicit_members/{parent_membership__user__uuid}
PATCH /api/projects/{project_id}/explicit_members/{parent_membership__user__uuid}
operationId: Explicitmembers_updateParentMembershipUserUuid

Parameters

Name In Required Type Description
parent_membership__user__uuid path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedExplicitTeamMember
Property Type Required
id string optional
user object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
level integer optional
joined_at string optional
user_uuid string optional
updated_at string optional
parent_level integer optional
effective_level integer optional
parent_membership_id string optional
multipart/form-data
schema PatchedExplicitTeamMember
Property Type Required
id string optional
user object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
level integer optional
joined_at string optional
user_uuid string optional
updated_at string optional
parent_level integer optional
effective_level integer optional
parent_membership_id string optional
application/x-www-form-urlencoded
schema PatchedExplicitTeamMember
Property Type Required
id string optional
user object optional
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
level integer optional
joined_at string optional
user_uuid string optional
updated_at string optional
parent_level integer optional
effective_level integer optional
parent_membership_id string optional

Responses

200
PATCH /api/projects/{project_id}/explicit_members/{parent_membership__user__uuid}
PUT /api/projects/{project_id}/explicit_members/{parent_membership__user__uuid}
operationId: Explicitmembers_updateParentMembershipUserUuid

Parameters

Name In Required Type Description
parent_membership__user__uuid path required string
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema ExplicitTeamMember
Property Type Required
id string required
user object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
level integer optional
joined_at string required
user_uuid string required
updated_at string required
parent_level integer required
effective_level integer required
parent_membership_id string required
multipart/form-data
schema ExplicitTeamMember
Property Type Required
id string required
user object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
level integer optional
joined_at string required
user_uuid string required
updated_at string required
parent_level integer required
effective_level integer required
parent_membership_id string required
application/x-www-form-urlencoded
schema ExplicitTeamMember
Property Type Required
id string required
user object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
level integer optional
joined_at string required
user_uuid string required
updated_at string required
parent_level integer required
effective_level integer required
parent_membership_id string required

Responses

200
PUT /api/projects/{project_id}/explicit_members/{parent_membership__user__uuid}

Exports 4 endpoints

GET /api/projects/{project_id}/exports
operationId: exports_list

Parameters

Name In Required Type Description
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/exports
POST /api/projects/{project_id}/exports
operationId: exports_create

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema ExportedAsset
Property Type Required
id integer required
insight integer optional
filename string required
dashboard integer optional
created_at string required
has_content string required
expires_after string optional
export_format string required
export_context object optional
multipart/form-data
schema ExportedAsset
Property Type Required
id integer required
insight integer optional
filename string required
dashboard integer optional
created_at string required
has_content string required
expires_after string optional
export_format string required
export_context object optional
application/x-www-form-urlencoded
schema ExportedAsset
Property Type Required
id integer required
insight integer optional
filename string required
dashboard integer optional
created_at string required
has_content string required
expires_after string optional
export_format string required
export_context object optional

Responses

201
POST /api/projects/{project_id}/exports
GET /api/projects/{project_id}/exports/{id}
operationId: exports_retrieve

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this exported asset.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/exports/{id}
GET /api/projects/{project_id}/exports/{id}/content
operationId: Exports_contentRetrieve

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this exported asset.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/exports/{id}/content

Featureflags 8 endpoints

GET /api/projects/{project_id}/feature_flags

Create, read, update and delete feature flags. See docs for more information on feature flags.

If you’re looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.

operationId: Featureflags_getFeatureFlags

Parameters

Name In Required Type Description
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/feature_flags
POST /api/projects/{project_id}/feature_flags

Create, read, update and delete feature flags. See docs for more information on feature flags.

If you’re looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.

operationId: Featureflags_createFeatureFlag

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
multipart/form-data
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
application/x-www-form-urlencoded
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional

Responses

201
POST /api/projects/{project_id}/feature_flags
GET /api/projects/{project_id}/feature_flags/activity

Create, read, update and delete feature flags. See docs for more information on feature flags.

If you’re looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.

operationId: Featureflags_getFeatureFlagsActivity

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/feature_flags/activity
GET /api/projects/{project_id}/feature_flags/evaluation_reasons

Create, read, update and delete feature flags. See docs for more information on feature flags.

If you’re looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.

operationId: Featureflags_getEvaluationReasons

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/feature_flags/evaluation_reasons
GET /api/projects/{project_id}/feature_flags/local_evaluation

Create, read, update and delete feature flags. See docs for more information on feature flags.

If you’re looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.

operationId: Featureflags_localEvaluationRetrieve

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/feature_flags/local_evaluation
GET /api/projects/{project_id}/feature_flags/my_flags

Create, read, update and delete feature flags. See docs for more information on feature flags.

If you’re looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.

operationId: Featureflags_readMyFlags

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/feature_flags/my_flags
POST /api/projects/{project_id}/feature_flags/user_blast_radius

Create, read, update and delete feature flags. See docs for more information on feature flags.

If you’re looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.

operationId: Featureflags_createFeatureFlagUserBlastRadius

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
multipart/form-data
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional
application/x-www-form-urlencoded
schema FeatureFlag
Property Type Required
id integer required
key string required
name string optional
tags array optional
active boolean optional
deleted boolean optional
filters object optional
surveys object required
can_edit boolean required
features object required
created_at string optional
created_by object required
id integer required
uuid string required
email string required
last_name string optional
first_name string optional
distinct_id string optional
is_email_verified boolean optional
experiment_set array required
is_simple_flag boolean required
usage_dashboard integer required
performed_rollback boolean optional
rollout_percentage integer required
rollback_conditions object optional
analytics_dashboards array optional
has_enriched_analytics boolean optional
…1 more object optional

Responses

200
POST /api/projects/{project_id}/feature_flags/user_blast_radius
GET /api/projects/{project_id}/feature_flags/{feature_flag_id}/role_access
operationId: Featureflags_getRoleAccess

Parameters

Name In Required Type Description
feature_flag_id path required integer
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200
GET /api/projects/{project_id}/feature_flags/{feature_flag_id}/role_access
Load more endpoints